Bug Hunting Session
Bug 77506 - XY scatter chart pasted from calc into writer or impress loses series name
Summary: XY scatter chart pasted from calc into writer or impress loses series name
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.4.0 target:4.3.0.1 target:4.2.6
Keywords: regression
: 77498 78369 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-04-16 01:20 UTC by John Kuang
Modified: 2015-02-11 12:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Scatter chart (29.58 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-04-16 01:20 UTC, John Kuang
Details
scatter chart pasted into impress (26.82 KB, application/vnd.oasis.opendocument.presentation)
2014-04-16 01:21 UTC, John Kuang
Details
Scatter chart parted into writer (24.43 KB, application/vnd.oasis.opendocument.text)
2014-04-16 01:21 UTC, John Kuang
Details
Scatter chart correct picture (16.96 KB, image/png)
2014-04-16 01:22 UTC, John Kuang
Details
picture of charts with missing series names (9.68 KB, image/png)
2014-04-16 01:23 UTC, John Kuang
Details
picture of charts with missing series names (9.68 KB, image/png)
2014-04-16 01:34 UTC, John Kuang
Details
scatter graph calc document (4.2.3.3 calc) (38.14 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-04-30 12:59 UTC, gedefr
Details
scatter graph as seen in writer (4.2.3.3) (59.92 KB, image/png)
2014-04-30 12:59 UTC, gedefr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Kuang 2014-04-16 01:20:15 UTC
Created attachment 97431 [details]
Scatter chart

When a scatter chart is pasted from calc into writer, the series names are shifted downwards, and the last few is lost. Example, [A, B, C] becomes [(empty), A, B]

Upon repeated saving/close/reopen, this shift/loss increases until all series names are lost, leaving a completely empty legend.

Same thing happens with pasting into impress, but the first paste doesn't show the issue, needs one save/close/reopen for issue to show up.

All scatter charts pasted into writer/impress in 4.1, also shows this bug when opened using writer/impress in 4.2.

This bug was not present in 4.1, so is a regression. Occurs in both Windows and Linux. It first happened when I upgraded to 4.2 (via PPA). Bug still present as of libo-42~2014-04-15_11.48.06_LibreOfficeDev_4.2.4.0.0_Win_x86.
Comment 1 John Kuang 2014-04-16 01:21:09 UTC
Created attachment 97432 [details]
scatter chart pasted into impress
Comment 2 John Kuang 2014-04-16 01:21:45 UTC
Created attachment 97433 [details]
Scatter chart parted into writer
Comment 3 John Kuang 2014-04-16 01:22:32 UTC
Created attachment 97434 [details]
Scatter chart correct picture
Comment 4 John Kuang 2014-04-16 01:23:43 UTC
Created attachment 97436 [details]
picture of charts with missing series names
Comment 5 John Kuang 2014-04-16 01:34:26 UTC
Created attachment 97437 [details]
picture of charts with missing series names
Comment 6 John Kuang 2014-04-16 01:37:17 UTC
Additional info: 

If scatter chart also has error bars, the problem worsens to loss of all series names when pasting into writer, and after one save/close/reopen when pasting into impress.

Workaround for now is to right click, paste as GDI metafile. But sucks not to be able to edit charts directly in writer/impress.
Comment 7 sophie 2014-04-16 13:01:01 UTC
Hi, Could you please update to 4.2.3.3 and test with this version, I think your bug is a duplicate of bug 72005 which is fixed in this version i.e I could not reproduce under Ubuntu 13.10 and 4.2.3.3. Thanks - Sophie
Comment 8 John Kuang 2014-04-16 22:21:42 UTC
Sophie, I am experiencing this bug in Version: 4.2.3.3 Build ID: 420m0(Build:3) in Ubuntu. Also, I reproduced the bug in Windows for both 4.2.3.3 and the development branch libo-42~2014-04-15_11.48.06_LibreOfficeDev_4.2.4.0.0_Win_x86.
Comment 9 gedefr 2014-04-30 12:56:43 UTC
I've got exactly the same bug, since I've upgraded to Ubuntu 14.04 that comes with 4.2.3.3.

So the bug is in no way restricted to 4.2.0.4
Comment 10 gedefr 2014-04-30 12:59:05 UTC
Created attachment 98239 [details]
scatter graph calc document (4.2.3.3 calc)

Calc document with the scatter graph
Comment 11 gedefr 2014-04-30 12:59:58 UTC
Created attachment 98240 [details]
scatter graph as seen in writer (4.2.3.3)
Comment 12 John Kuang 2014-05-10 02:10:39 UTC
Bug still present in Version: 4.2.4.2 Build ID: 420m0(Build:2).
Comment 13 Kohei Yoshida 2014-06-05 21:44:08 UTC
I've been asked to work on this.
Comment 14 Kohei Yoshida 2014-06-06 00:30:29 UTC
It was caused by this commit.

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9239dc026ae31d38e495c7031b1e55cab4aebe9a

Still investigating what would be the right course of action here.
Comment 15 Commit Notification 2014-06-11 16:01:11 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=56ca1b76963c44318a4f5577e15cfa5e7e1cd2a2

fdo#77506: (finally) write a unit test for this.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Kohei Yoshida 2014-06-12 04:04:31 UTC
I'm almost there...
Comment 17 Commit Notification 2014-06-12 15:28:34 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10f8d24540a4145af3ec629f7eb724849ca53d22

fdo#77506: Enable this check.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2014-06-12 15:28:49 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2a1a59a448420a858724371c4a339f75ebe8c1e

fdo#77506: More reliable way to determine label strings.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2014-06-12 15:33:32 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd591a9480a769199e19e8c737e8645de5306ef8&h=libreoffice-4-3

fdo#77506: (finally) write a unit test for this.


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2014-06-12 15:33:47 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1f090934e9ddffe0c7c1aa491688a45e9ab0b08e&h=libreoffice-4-3

fdo#77506: Enable this check.


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2014-06-12 15:34:02 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e31feb0f09f2dc9a9cd10e77ef884e000e1b32b&h=libreoffice-4-3

fdo#77506: More reliable way to determine label strings.


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Kohei Yoshida 2014-06-12 16:50:22 UTC
4.2 backport: https://gerrit.libreoffice.org/9757
Comment 23 Kohei Yoshida 2014-06-12 16:50:58 UTC
Since 4.2 is nearing EOL, I'll mark this fixed (for 4.3) even though the backport request to 4.2 is still pending.
Comment 24 John Kuang 2014-06-12 16:52:32 UTC
Awesome! Thanks Kohei! Will try it out soon.
Comment 25 gedefr 2014-06-14 08:34:44 UTC
Great! Thanks for your work!
Comment 26 Commit Notification 2014-06-17 14:14:47 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b606507e4cbb2b579c90461a9d433bfe9c5cdf1&h=libreoffice-4-2

fdo#77506: More reliable way to determine label strings.


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 Francisco 2014-06-19 14:36:50 UTC
*** Bug 78369 has been marked as a duplicate of this bug. ***
Comment 28 Kohei Yoshida 2014-06-20 03:42:13 UTC
*** Bug 77498 has been marked as a duplicate of this bug. ***